'use strict';

const MAC_OS_13_5 = 'MacOS_13.5';
const MAC_NODEPOOL_NAME_SUFFIX = '-mac';
const MAC_NODEPOOL_INSTANCE_TYPE = 'mac1.metal';
const dayMinutes = 1440;
const MAC_NODEPOOL_INTERVAL_MINS = dayMinutes + 10;
const INTEGRATION_CONFIG_DIR = 'buildplane-config';
const DEFAULT_NODEPOOL_OS = 'Ubuntu_18.04';
const DEFAULT_NODEPOOL_ARCH = 'x86_64';
const DEFAULT_NODEPOOL_TIMEOUT = 3600000;
const DEFAULT_NODEPOOL_PROJECT_ID = 1;
const DEFAULT_NODEPOOL_CREATED_AT = '2019-12-08';
const DEFAULT_NODEPOOL_UPDATED_AT = '2019-12-08';
const DEFAULT_NODEPOOL_MAX_DISK = 90;
const DEFAULT_NODEPOOL_CACHE_ENABLED = false;
const DEFAULT_NODEPOOL_ON_DEMAND = true;
const DEFAULT_NODEPOOL_AWS_INTERVAL_MINS = 2;
const DEFAULT_NODEPOOL_K8S_INTERVAL_MINS = 1;
const DEFAULT_NODEPOOL_PERMISSIONS = {
  allowAllPipelineSources: true
};
const DEFAULT_NODEPOOL_ACCESS_PREFIX = '';
const KUBERNETES_MASTER_INTEGRATION_NAME = 'kubernetesConfig';
const KEEP_ALIVE = {
  TIMEOUT_SEC: 60,
  MAX_CONNECTIONS: 5000
}

module.exports = {
  MAC_NODEPOOL_INTERVAL_MINS,
  DEFAULT_NODEPOOL_ARCH,
  DEFAULT_NODEPOOL_OS,
  INTEGRATION_CONFIG_DIR,
  MAC_OS_13_5,
  MAC_NODEPOOL_INSTANCE_TYPE,
  MAC_NODEPOOL_NAME_SUFFIX,
  DEFAULT_NODEPOOL_PERMISSIONS,
  DEFAULT_NODEPOOL_TIMEOUT,
  DEFAULT_NODEPOOL_PROJECT_ID,
  DEFAULT_NODEPOOL_CREATED_AT,
  DEFAULT_NODEPOOL_UPDATED_AT,
  DEFAULT_NODEPOOL_MAX_DISK,
  DEFAULT_NODEPOOL_CACHE_ENABLED,
  DEFAULT_NODEPOOL_ON_DEMAND,
  DEFAULT_NODEPOOL_AWS_INTERVAL_MINS,
  DEFAULT_NODEPOOL_K8S_INTERVAL_MINS,
  DEFAULT_NODEPOOL_ACCESS_PREFIX,
  KUBERNETES_MASTER_INTEGRATION_NAME,
  KEEP_ALIVE
};
