do $$
  begin

    --
    -- Name: microPipelineEventsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'microPipelineEvents' and indexname = 'microPipelineEventsIdU') then
      CREATE UNIQUE INDEX "microPipelineEventsIdU" ON public."microPipelineEvents" USING btree (id);
    end if;

    --
    -- Name: microPipelineEventsEventTypeDomainI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'microPipelineEvents' and indexname = 'microPipelineEventsEventTypeDomainI') then
      CREATE INDEX "microPipelineEventsEventTypeDomainI" ON public."microPipelineEvents" USING btree ("eventType", "domain");
    end if;

  end
$$
