do $$
  begin

    --
    -- Name: runAdjacencyStepIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runAdjacency' and indexname = 'runAdjacencyStepIdI') then
      CREATE INDEX "runAdjacencyStepIdI" ON public."runAdjacency" USING btree ("stepId");
    end if;


    --
    -- Name: runAdjacencyDependentEntityIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runAdjacency' and indexname = 'runAdjacencyDependentEntityIdI') then
      CREATE INDEX "runAdjacencyDependentEntityIdI" ON public."runAdjacency" USING btree ("dependentEntityId");
    end if;

    --
    -- Name: runAdjacencyDependentEntityTypeI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runAdjacency' and indexname = 'runAdjacencyDependentEntityTypeI') then
      CREATE INDEX "runAdjacencyDependentEntityTypeI" ON public."runAdjacency" USING btree ("dependentEntityType");
    end if;

    --
    -- Name: runAdjacencyStepletIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runAdjacency' and indexname = 'runAdjacencyStepletIdI') then
      CREATE INDEX "runAdjacencyStepletIdI" ON public."runAdjacency" USING btree ("stepletId");
    end if;


  end
$$
