do $$
  begin

    --
    -- Name: pkey; Type: CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pkey') then
      ALTER TABLE ONLY public.vault_kv_store
          ADD CONSTRAINT pkey PRIMARY KEY (path, key);
    end if;
    --
    -- Name: parent_path_idx; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'vault_kv_store' and indexname = 'parent_path_idx') then
      CREATE INDEX parent_path_idx ON public.vault_kv_store USING btree (parent_path);
    end if;

  end
$$
