do $$
  begin

    --
    -- Name: workflowControllersIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'workflowControllers' and indexname = 'workflowControllersIdU') then
      CREATE UNIQUE INDEX "workflowControllersIdU" ON public."workflowControllers" USING btree ("id");
    end if;

    --
    -- Name: workflowControllersObjectTypeI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'workflowControllers' and indexname = 'workflowControllersObjectTypeI') then
      CREATE INDEX "workflowControllersObjectTypeI" ON public."workflowControllers" USING btree ("objectType");
    end if;

    --
    -- Name: workflowControllersObjectTypeObjectIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'workflowControllers' and indexname = 'workflowControllersObjectTypeObjectIdU') then
      CREATE UNIQUE INDEX "workflowControllersObjectTypeObjectIdU" ON public."workflowControllers" USING btree ("objectType", "objectId");
    end if;

  end
$$
