--
-- Name: systemCodes; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."systemCodes" (
    code integer NOT NULL,
    name character varying(255) NOT NULL,
    "group" character varying(255) NOT NULL,
    "createdBy" character varying(24) NOT NULL,
    "updatedBy" character varying(24) NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);

do $$
  begin

    -- alter datatype of code column from smallint to integer
    if exists (select 1 from information_schema.columns where table_name = 'systemCodes' and column_name = 'code' and data_type = 'smallint') then
        ALTER TABLE "systemCodes" ALTER COLUMN "code" TYPE integer;
    end if;

  end
$$
