Name:           pipelines
Provides:       pipelines = %{pipelines_version}
Version:        %{pipelines_version}
Release:        %{pipelines_release}
Summary:        JFrog Pipelines
Vendor:         JFrog Ltd.
Group:          Development/Tools
License:        AGPL-V3
URL:            http://www.jfrog.org
#Source0:        %{name}-%{version}.%{release}.tar.gz
Source0:        %{source_tarfile}
BuildArch:			x86_64
Requires:       %{_sbindir}/useradd, %{_sbindir}/groupadd, tar

%undefine _missing_build_ids_terminate_build

%define  debug_package %{nil}
%define _binaries_in_noarch_packages_terminate_build 0
#%define _rpmfilename %{name}-%{version}.%{release}.rpm
%define _rpmfilename %{rpm_filename}
#%define _extracted_dest %{_sourcedir}/%{name}-%{version}.%{release}
%define _extracted_dest %{_sourcedir}/%{extracted_dir}
%define _install_dest /opt/jfrog/pipelines/installer

%description
JFrog Pipelines: CI/CD Pipelines for Native DevOps Automation

%prep
%setup -q -T -c
echo "Extracting Pipelines tarfile"
%{__tar} -xzf "%{SOURCE0}" -C "%{_sourcedir}"

%build

%install
echo "Moving Pipelines installation scripts to BUILDROOT"
%__mkdir_p %{buildroot}
%__mkdir_p %{buildroot}%{_install_dest}
install -d %{buildroot}%{_install_dest}

%__cp -r "%{_extracted_dest}"/* "%{buildroot}%{_install_dest}"

%post
ln -sf %{_install_dest}/pipelines /usr/bin/pipelines

%files
%{_install_dest}

%doc
