do $$
  begin

    -- Insert all templates

    -- DockerBuildAndPush template
    if not exists (select 1 from templates where "namespace" = 'jfrog' and "name" = 'DockerBuildAndPush' and "syntaxVersion" = '1.0.0') then
      insert into "templates" ("namespace", "name", "syntaxVersion", "createdAt", "updatedAt")
      values ('jfrog', 'DockerBuildAndPush', '1.0.0', '2020-10-21', '2020-10-21');
    end if;

    if not exists (select 1 from templates where "namespace" = 'jfrog' and "name" = 'DockerBuildAndPush' and "syntaxVersion" = '1.1.0') then
      insert into "templates" ("namespace", "name", "syntaxVersion", "createdAt", "updatedAt")
      values ('jfrog', 'DockerBuildAndPush', '1.1.0', '2022-06-17', '2022-06-17');
    end if;

    -- GoCI
    if not exists (select 1 from templates where "namespace" = 'jfrog' and "name" = 'GoCI' and "syntaxVersion" = '1.0.0') then
      insert into "templates" ("namespace", "name", "syntaxVersion", "createdAt", "updatedAt")
      values ('jfrog', 'GoCI', '1.0.0', '2022-08-24', '2022-08-24');
    end if;

    -- GradleCI
    if not exists (select 1 from templates where "namespace" = 'jfrog' and "name" = 'GradleCI' and "syntaxVersion" = '1.0.0') then
      insert into "templates" ("namespace", "name", "syntaxVersion", "createdAt", "updatedAt")
      values ('jfrog', 'GradleCI', '1.0.0', '2022-08-24', '2022-08-24');
    end if;

    -- HelmPublishAndDeploy
    if not exists (select 1 from templates where "namespace" = 'jfrog' and "name" = 'HelmPublishAndDeploy' and "syntaxVersion" = '1.0.0') then
      insert into "templates" ("namespace", "name", "syntaxVersion", "createdAt", "updatedAt")
      values ('jfrog', 'HelmPublishAndDeploy', '1.0.0', '2021-03-15', '2021-03-15');
    end if;

    if not exists (select 1 from templates where "namespace" = 'jfrog' and "name" = 'HelmPublishAndDeploy' and "syntaxVersion" = '1.1.0') then
      insert into "templates" ("namespace", "name", "syntaxVersion", "createdAt", "updatedAt")
      values ('jfrog', 'HelmPublishAndDeploy', '1.1.0', '2022-06-26', '2022-06-26');
    end if;

    -- MicroPipeline
    if not exists (select 1 from templates where "namespace" = 'jfrog' and "name" = 'MicroPipeline' and "syntaxVersion" = '1.0.0') then
      insert into "templates" ("namespace", "name", "syntaxVersion", "createdAt", "updatedAt")
      values ('jfrog', 'MicroPipeline', '1.0.0', '2021-11-01', '2021-11-01');
    end if;

    -- NpmCI
    if not exists (select 1 from templates where "namespace" = 'jfrog' and "name" = 'NpmCI' and "syntaxVersion" = '1.0.0') then
      insert into "templates" ("namespace", "name", "syntaxVersion", "createdAt", "updatedAt")
      values ('jfrog', 'NpmCI', '1.0.0', '2022-08-24', '2022-08-24');
    end if;

    -- HelloWorld
    if not exists (select 1 from templates where "namespace" = 'jfrog' and "name" = 'HelloWorld' and "syntaxVersion" = '1.0.0') then
      insert into "templates" ("namespace", "name", "syntaxVersion", "createdAt", "updatedAt")
      values ('jfrog', 'HelloWorld', '1.0.0', '2022-07-11', '2022-07-11');
    end if;

    -- MavenCI
    if not exists (select 1 from templates where "namespace" = 'jfrog' and "name" = 'MavenCI' and "syntaxVersion" = '1.0.0') then
      insert into "templates" ("namespace", "name", "syntaxVersion", "createdAt", "updatedAt")
      values ('jfrog', 'MavenCI', '1.0.0', '2022-08-30', '2022-08-30');
    end if;

    -- PromoteCI
    if not exists (select 1 from templates where "namespace" = 'jfrog' and "name" = 'PromoteCI' and "syntaxVersion" = '1.0.0') then
      insert into "templates" ("namespace", "name", "syntaxVersion", "createdAt", "updatedAt")
      values ('jfrog', 'PromoteCI', '1.0.0', '2022-10-20', '2022-10-20');
    end if;

  end
$$;
