do $$
  begin

    --
    -- Name: accessSecretsRecordsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'accessSecretsRecords' and indexname = 'accessSecretsRecordsIdU') then
      CREATE UNIQUE INDEX "accessSecretsRecordsIdU" ON public."accessSecretsRecords" USING btree ("id");
    end if;

    --
    -- Name: accessSecretsRecordsKeyU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'accessSecretsRecords' and indexname = 'accessSecretsRecordsKeyU') then
      CREATE UNIQUE INDEX "accessSecretsRecordsKeyU" ON public."accessSecretsRecords" USING btree ("key");
    end if;

  end
$$