do $$
  begin

    --
    -- Name: pipelineObjectsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineObjects' and indexname = 'pipelineObjectsIdU') then
      CREATE UNIQUE INDEX "pipelineObjectsIdU" ON public."pipelineObjects" USING btree ("id");
    end if;

    --
    -- Name: pipelineObjectsObjectTypeObjectNameStageObjectIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineObjects' and indexname = 'pipelineObjectsObjectTypeObjectNameStageObjectIdU') then
      CREATE UNIQUE INDEX "pipelineObjectsObjectTypeObjectNameStageObjectIdU" ON public."pipelineObjects" USING btree ("objectType", "objectName", "stage", "objectId");
    end if;

  end
$$
