do $$
  begin

    --
    -- Name: providersIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'providers' and indexname = 'providersIdU') then
      CREATE UNIQUE INDEX "providersIdU" ON public."providers" USING btree ("id");
    end if;

    --
    -- Name: provUrlSlugU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'providers' and indexname = 'provUrlSlugU') then
      CREATE UNIQUE INDEX "provUrlSlugU" ON public.providers USING btree ("urlSlug");
    end if;

    --
    -- Name: provUrlU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'providers' and indexname = 'provUrlU') then
      CREATE UNIQUE INDEX "provUrlU" ON public.providers USING btree (url);
    end if;

  end
$$
