do $$
  begin

    --
    -- Name: statisticsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'statistics' and indexname = 'statisticsIdU') then
      CREATE UNIQUE INDEX "statisticsIdU" ON public.statistics USING btree (id);
    end if;

    --
    -- Name: statisticsDateI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'statistics' and indexname = 'statisticsDateI') then
      CREATE INDEX "statisticsDateI" ON public.statistics USING btree (date);
    end if;

    --
    -- Name: statisticsIdentityIdProjectIdRoleCodeU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'statistics' and indexname = 'statisticsCategoryMetricDateFiltersU') then
      CREATE UNIQUE INDEX "statisticsCategoryMetricDateFiltersU" ON public.statistics USING btree ("category", "metric", "date", "filters");
    end if;

  end
$$
