do $$
  begin

    --
    -- Name: ha_key; Type: CONSTRAINT; Schema: public;
    --
    IF EXISTS (SELECT 1 FROM information_schema.tables WHERE table_name = 'vault_ha_locks') THEN
      if not exists (select 1 from pg_constraint where conname = 'ha_key') then
        ALTER TABLE ONLY public.vault_ha_locks
            ADD CONSTRAINT ha_key PRIMARY KEY (ha_key);
      end if;
    ELSE
      RAISE NOTICE 'Table public.vault_ha_locks does not exist. - please check if vault is enabled';
    END IF;

  end
$$
